/*-------------------------------------------------------------------------+
| Copyright 2021 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.ext.reuse.ui.view.fx;

import org.eclipse.ui.part.ViewPart;
import org.fortiss.tooling.common.ui.javafx.AF3FXViewPart;
import org.fortiss.tooling.ext.reuse.model.ReuseLibrary;

/**
 * {@link ViewPart} for the FX implementation of a {@link ReuseLibrary} view.
 *
 * @author bergemann
 */
public class ReuseLibraryFXViewPart extends AF3FXViewPart implements IReuseLibraryViewPart {

	/** The FX Controller for this view. */
	private static final ReuseLibraryFXController VIEW_CONTROLLER = new ReuseLibraryFXController();

	/**
	 * Constructor.
	 *
	 * @throws Exception
	 */
	public ReuseLibraryFXViewPart() throws Exception {
		super(VIEW_CONTROLLER, null);
	}

	/**
	 * Returns the initialized {@link ReuseLibraryFXController} for the reuse
	 * version of the {@link AF3FXViewPart}.
	 *
	 * @return The view controller for the reuse view
	 */
	public static ReuseLibraryFXController getReuseLibraryFXController() {
		return VIEW_CONTROLLER;
	}

}
